#include <GL/glu.h>
#include <GL/glut.h>

void displayForGlut(void){
  //clears the pixels
  glClear(GL_COLOR_BUFFER_BIT);
  glBegin(GL_TRIANGLE_STRIP);
    glColor3f(1.0, 0.0, 0.0);
  	glVertex3f(-0.9, -0.9, 0.0);
    glColor3f(0.34, 0.7, 1.0);
  	glVertex3f(0.9, -0.9, 0.0);
    glColor3f(1.0, 0.7, 1.0);
  	glVertex3f(-0.9, 0.9, 0.0);
    glColor3f(1.0, 1.0, 1.0);
  	glVertex3f(0.9, 0.9, 0.0);
  glEnd();
  glFlush();
}

void Keyboard(unsigned char key, int x, int y){
  switch(key){
    case 'w':
      glTranslatef(1.0, 0.0, 0.0);
      glRotatef(5.0, 0.1, 0.0, 0.0);
      glTranslatef(-1.0, 0.0, 0.0);
      break;
    case 's':
      glTranslatef(1.0, 0.0, 0.0);
      glRotatef(-5.0, 0.1, 0.0, 0.0);
      glTranslatef(-1.0, 0.0, 0.0);
      break;
    case 'a':
      glTranslatef(0.1, 0.0, 0.0);
      glRotatef(-10.0, 0.0, 0.0, 0.1);
      glTranslatef(-0.1, 0.0, 0.0);
      break;
    case 'd':
      glTranslatef(0.1, 0.0, 0.0);
      glRotatef(-10.0, 0.0, 0.0, 0.1);
      glTranslatef(-0.1, 0.0, 0.0);
      break;
    case 'q':
      glScalef(1.0, 0.5, 1.0);
      glScalef(0.5, 1.0, 1.0);
			break;
  }
	glutPostRedisplay();
}
 
int initGlutDisplay(int argc, char* argv[]){
  glutInit(&argc, argv);
  glutInitDisplayMode(GLUT_RGB);
  glutInitWindowSize(300, 300);
  glutInitWindowPosition(100, 100);
  glutCreateWindow("Example 1.0: Hello World!");
  glMatrixMode(GL_PROJECTION);
  glLoadIdentity();
  glOrtho(-1.0, 1.0, -1.0, 1.0, -100.0, 100.0);
  glutKeyboardFunc(Keyboard);
  glutDisplayFunc(displayForGlut);
  glutMainLoop();
  return 0;
}

int main(int argc, char* argv[]){
  initGlutDisplay(argc, argv);
}
